Bug 169037 - java/openjdk7 -7.4_22 port has broken locale data
Summary: java/openjdk7 -7.4_22 port has broken locale data
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 15:10 UTC by Robert Muir
Modified: 2012-06-16 20:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Muir 2012-06-13 15:10:06 UTC
We updated the openjdk port to 7.4.22 (from 7.3), and noticed some test failures that test our collation integration, because the Arabic locale was not behaving properly. The problem appears to be the Locale data is hosed in this update, and its falling back to the root locale "".

This can be seen easily by just listing the available locales.

How-To-Repeat: import java.util.Arrays;
import java.util.Locale;

public class ListLocales {
  public static void main(String args[]) throws Exception {
    System.out.println(Arrays.toString(Locale.getAvailableLocales()));
  }
}

This gives a bogus list: [, ben, arn]
Comment 1 Michael Scheidell freebsd_committer 2012-06-14 13:16:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

Fix Synopsis and assign.
Comment 2 dfilter service freebsd_committer 2012-06-16 15:46:13 UTC
glewis      2012-06-16 14:46:02 UTC

  FreeBSD ports repository

  Modified files:
    java/openjdk7        Makefile 
    java/openjdk7/files  patch-set 
  Added files:
    java/openjdk7/files  patch-make-java-java-genlocales.gmk 
  Log:
  . Fix locale generation.
  
  PR:             169037
  
  Revision  Changes    Path
  1.39      +1 -1      ports/java/openjdk7/Makefile
  1.1       +40 -0     ports/java/openjdk7/files/patch-make-java-java-genlocales.gmk (new)
  1.15      +0 -21     ports/java/openjdk7/files/patch-set
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2012-06-16 15:46:38 UTC
State Changed
From-To: open->closed

Robert, thanks for the report.  I've committed a fix for this. 

Please update to 7.4.22_2 and let me know if you still have any problems.
Comment 4 uwe 2012-06-16 20:44:25 UTC
I installed the latest port on Apache Lucene's FreeBSD installation where
our daily builds are running. No more test failures with Farsi and other
Locales.

https://builds.apache.org/job/Lucene-Solr-tests-only-trunk-java7/

Thanks for quickly fixing this!

-----
Uwe Schindler
H.-H.-Meier-Allee 63, D-28213 Bremen
http://www.thetaphi.de
eMail: uwe@thetaphi.de